Get Banked Item
curl --request GET \
--url https://api.decodahealth.com/inventory/banked-items/{banked_item_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/banked-items/{banked_item_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/banked-items/{banked_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"itemId": "<string>",
"patientId": "<string>",
"createdByChargeItemId": "<string>",
"quantity": 123,
"quantityRemaining": 123,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
},
"patient": {
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"locationId": "<string>",
"externalId": "<string>",
"address": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"addressValid": true,
"meta": {},
"isArchived": true,
"primaryLocationId": "<string>",
"gender": "<string>",
"dateOfBirth": "2023-12-25",
"patientMedications": [
"<string>"
],
"onSchedulingBlacklist": true,
"surchargeDisabled": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"isActive": true,
"createdDate": "2023-11-07T05:31:56Z",
"emoji": "<string>",
"color": "<string>",
"updatedDate": "2023-11-07T05:31:56Z"
}
],
"creditBalance": 123,
"preferredProviderId": "<string>"
},
"createdByChargeItem": {
"chargeId": "<string>",
"quantity": 123,
"price": 123,
"id": "<string>",
"itemId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
]
},
"id": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"items": [
{
"chargeId": "<string>",
"quantity": 123,
"price": 123,
"charge": {
"id": "<string>",
"patientId": "<string>",
"total": 123,
"totalOutstanding": 123,
"description": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"itemId": "<string>",
"name": "<string>",
"description": "<string>",
"discountAmount": 123,
"discountPercentage": 123,
"discountReason": "<string>",
"soldPackageId": "<string>",
"bankedQuantity": 123,
"bankedItemId": "<string>",
"issuedDiscountId": "<string>",
"soldByProviderId": "<string>",
"taxAmount": 123,
"pricingId": "<string>",
"shipmentIds": [
"<string>"
],
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"taxable": false,
"sortOrder": 123,
"allowCustomPricing": false,
"type": "PRODUCT"
},
"locationId": "<string>",
"locationName": "<string>",
"saleDate": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Inventory
Get Banked Item
Get a specific banked item by ID.
GET
/
inventory
/
banked-items
/
{banked_item_id}
Get Banked Item
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Item ID that was banked
Patient ID who purchased the item
Charge item ID that created this banked item
Total quantity banked
Quantity still available
Details of the item
Show child attributes
Show child attributes
Details of the patient
Show child attributes
Show child attributes
Details of the charge item that created this banked item
Show child attributes
Show child attributes
Unique identifier for the banked item
Date the item was banked (auto-set if not provided)
Date the item was updated
Charge items that used this banked item
Show child attributes
Show child attributes
⌘I
